/*
    Copyright 2020 Joel Svensson	svenssonjoel@yahoo.se

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/


#ifndef _LATTICE_DATA_H_
#define _LATTICE_DATA_H_

#include "hal.h"

#define D0_GPIO GPIOA
#define D1_GPIO GPIOC
#define A0_GPIO GPIOA
#define A1_GPIO GPIOC

#define D0_PIN0 0
#define D0_PIN1 1
#define D0_PIN2 2
#define D0_PIN3 3
#define D0_PIN4 4
#define D0_PIN5 5
#define D0_PIN6 6
#define D0_PIN7 7

#define D1_PIN0 0
#define D1_PIN1 1
#define D1_PIN2 2
#define D1_PIN3 3
#define D1_PIN4 4
#define D1_PIN5 5
#define D1_PIN6 6
#define D1_PIN7 7

#define A0_PIN0 8
#define A0_PIN1 9
#define A0_PIN2 10

#define A1_PIN0 8
#define A1_PIN1 9
#define A1_PIN2 10

typedef enum {
  D0,
  D1,
  A0,
  A1 
} data_channel;

void lattice_data_direction(data_channel c, bool output);

#endif
